/* -*- mode: c++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/*
 Copyright (C) 2015 Bitquant Research Laboratories (Asia) Limited

 This file is part of QuantLib, a free-software/open-source library
 for financial quantitative analysts and developers - http://quantlib.org/

 QuantLib is free software: you can redistribute it and/or modify it
 under the terms of the QuantLib license.  You should have received a
 copy of the license along with this program; if not, please email
 <quantlib-dev@lists.sf.net>. The license is also available online at
 <http://quantlib.org/license.shtml>.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the license for more details.
*/

/*! \file coinarch.hpp
    \brief classes for coinarch derviatives
*/

#ifndef quantlib_coinarch_hpp
#define quantlib_coinarch_hpp

#include <ql/option.hpp>

namespace QuantLib {
    //! Booster derivative
    class CoinArchBooster : public Instrument {
        CoinArchBooster();
        //! \name Instrument interface
        //@{
        bool isExpired() const;
        //@}
    };

    //! Maximizer derivative
    class CoinArchMaximizer : public Instrument {
        CoinArchMaximizer();
        //! \name Instrument interface
        //@{
        bool isExpired() const;
        //@}
    };
}

#endif

